"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
exports.I18nLang = common_1.createParamDecorator((data, ctx) => {
    switch (ctx.getType()) {
        case 'http':
            return resolveI18nLanguageFromRestRequest(ctx.switchToHttp().getRequest());
        case 'graphql':
            return resolveI18nLanguageFromGraphQLContext(ctx.getArgs());
        default:
            throw Error(`context type: ${ctx.getType()} not supported`);
    }
});
function resolveI18nLanguageFromRestRequest(req) {
    return req.i18nLang || (req.raw ? req.raw.i18nLang : undefined);
}
function resolveI18nLanguageFromGraphQLContext(req) {
    const [root, args, ctx, info] = req;
    return ctx.req.i18nLang;
}
//# sourceMappingURL=i18n-lang.decorator.js.map